org.apache.lucene.facet.taxonomy

## Class OrdinalsReader.OrdinalsSegmentReader

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.OrdinalsReader.OrdinalsSegmentReader

Enclosing class:
  OrdinalsReader

    public abstract static class OrdinalsReader.OrdinalsSegmentReader
    extends Object

Returns ordinals for documents in one segment.

### Constructor Summary

Constructors
Constructor and Description
`OrdinalsSegmentReader()` Default constructor.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `get(int doc, IntsRef ordinals)` Get the ordinals for this document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OrdinalsSegmentReader

    public OrdinalsSegmentReader()

Default constructor.

### Method Detail

#### get

    public abstract void get(int doc,
                             IntsRef ordinals)
                      throws IOException

Get the ordinals for this document. ordinals.offset must always be 0!

Throws:
  `IOException`